From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cucumber-rails/
Date: Tue, 15 Mar 2022 06:59:35 +0000 (UTC) [thread overview]
Message-ID: <1647327039.a90b34820213987f1be4d3e3e049ea82a498ff50.graaff@gentoo> (raw)
commit: a90b34820213987f1be4d3e3e049ea82a498ff50
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 15 06:50:39 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Mar 15 06:50:39 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a90b3482
dev-util/cucumber-rails: add 2.5.0
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-util/cucumber-rails/Manifest | 1 +
.../cucumber-rails/cucumber-rails-2.5.0.ebuild | 51 ++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-util/cucumber-rails/Manifest b/dev-util/cucumber-rails/Manifest
index 6a8d37bead14..a23d9ddf9c11 100644
--- a/dev-util/cucumber-rails/Manifest
+++ b/dev-util/cucumber-rails/Manifest
@@ -2,3 +2,4 @@ DIST cucumber-rails-1.8.0.gem 43008 BLAKE2B ac2fbc89ea952add031429b281986de37b3a
DIST cucumber-rails-2.2.0.gem 136704 BLAKE2B 660037bb5938ad01aa0b1188e5e48522f9932662d6578f1c0a107cdacbd5cf8527e48b6ddb2c91d975577a71db0259a7250d762004ef0a49ebc063f45103aab0 SHA512 ca8a0ce9c9cdb1306b6a5f8e3d9ba68a2beb3d0a35a58fd6c51ba3ce76e2104045b2768054d27bb4bfcd437534aeb6d39fa2be87396f3a4084c0044201e96252
DIST cucumber-rails-2.3.0.tar.gz 39492 BLAKE2B 73c45db7b3b445804b29814fa7add1ee5d66ea75bf3bd7b19456cef38340adc37f6129911a49d7e9996bf20299e31511e51758e18d9f8ffdb53fa9ea320aad42 SHA512 fee78784bd21084271c611073bce8b399783a2ce1900bf12a27cd8b70edbedc525b501d5d71856ad42f19174664d95d97bd4adf75b1791af60bc237a9f16e00d
DIST cucumber-rails-2.4.0.tar.gz 41130 BLAKE2B abe10f72aad684691f863a7aeb952a7e45c945d22e1998dbd860ff47808c253607d6502fdb9dbcb1d573a0e3d615859ab56b9e34eabc5de33ff3c47483f8314d SHA512 b57134227e807da4f64d5d8d1435e597f28adab27f2f4d7148b8e997cedf721916dfa73de5a226953827053db2dbc3f3300a88f71d72327514585ae9fada9e0c
+DIST cucumber-rails-2.5.0.tar.gz 42030 BLAKE2B 96279b72c597bcb40eebb2270ee996c08fd599f257b91beea50f84cb0cf221258bb5fec4f91ce6a2400d865763072bdd47c1b4c4a03b35b5e35e6384ab3f31fa SHA512 cb689beac565d0b193ebcfb0ce4d673cad2d50fe8db5718fda6779d08d5458e2234ccb5a1ff13eaf22b3048c9a10b4dd6148cfdedf841dd0b41366059acb0b67
diff --git a/dev-util/cucumber-rails/cucumber-rails-2.5.0.ebuild b/dev-util/cucumber-rails/cucumber-rails-2.5.0.ebuild
new file mode 100644
index 000000000000..00acb4701977
--- /dev/null
+++ b/dev-util/cucumber-rails/cucumber-rails-2.5.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+# There are also cucumber features. They require a Rails project with
+# factory girl which we don't have packaged yet.
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="cucumber-rails.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Executable feature scenarios for Rails"
+HOMEPAGE="https://cucumber.io/"
+SRC_URI="https://github.com/cucumber/cucumber-rails/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Ruby"
+
+KEYWORDS="~amd64"
+SLOT="$(ver_cut 1)"
+IUSE=""
+
+# Restrict tests since Appraisal is now mandatory to manage different
+# rails versions, even for the specs.
+RESTRICT="test"
+#ruby_add_bdepend "
+# test? (
+# >=dev-ruby/ammeter-0.2.2
+# >=dev-ruby/rspec-rails-2.7.0:2
+# )"
+
+ruby_add_rdepend "
+ >=dev-ruby/capybara-2.18:* <dev-ruby/capybara-4:*
+ >=dev-util/cucumber-3.2 <dev-util/cucumber-8
+ >=dev-ruby/mime-types-3.3:3
+ >=dev-ruby/nokogiri-1.10
+ >=dev-ruby/rails-5.0:* <dev-ruby/rails-8:*
+ dev-ruby/rexml:3
+ >=dev-ruby/webrick-1.7:0
+"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/files/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2022-03-15 7:23 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-15 6:59 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-01 6:27 [gentoo-commits] repo/gentoo:master commit in: dev-util/cucumber-rails/ Hans de Graaff
2024-12-01 8:09 Hans de Graaff
2024-11-13 6:45 Hans de Graaff
2024-08-06 5:51 Hans de Graaff
2023-11-03 7:57 Hans de Graaff
2023-11-03 7:57 Hans de Graaff
2023-07-08 14:09 Hans de Graaff
2023-04-10 10:57 Hans de Graaff
2023-04-10 10:57 Hans de Graaff
2022-12-07 18:24 Hans de Graaff
2022-10-17 5:25 Hans de Graaff
2022-10-09 7:22 Hans de Graaff
2022-07-19 6:14 Hans de Graaff
2022-06-26 5:43 Hans de Graaff
2022-04-09 12:08 Hans de Graaff
2022-04-07 5:46 Hans de Graaff
2022-04-07 5:46 Hans de Graaff
2022-03-15 16:01 Hans de Graaff
2021-08-15 7:41 Hans de Graaff
2021-07-22 4:45 Hans de Graaff
2021-07-14 9:20 Hans de Graaff
2021-07-09 6:55 Hans de Graaff
2021-07-06 8:37 Hans de Graaff
2021-07-06 8:37 Hans de Graaff
2020-10-13 4:14 Hans de Graaff
2020-06-27 8:11 Hans de Graaff
2020-03-14 14:37 Hans de Graaff
2020-03-14 14:37 Hans de Graaff
2020-03-09 6:32 Hans de Graaff
2019-11-03 9:28 Hans de Graaff
2019-08-15 5:12 Hans de Graaff
2019-05-04 9:23 Hans de Graaff
2019-04-28 5:55 Hans de Graaff
2019-04-11 17:46 Hans de Graaff
2018-06-04 9:56 Hans de Graaff
2018-04-09 4:32 Hans de Graaff
2018-01-22 20:48 Hans de Graaff
2017-05-20 5:53 Hans de Graaff
2017-05-20 5:53 Hans de Graaff
2016-09-30 5:46 Hans de Graaff
2016-08-10 5:30 Hans de Graaff
2016-08-10 5:30 Hans de Graaff
2016-04-10 0:28 Manuel Rüger
2016-03-02 6:09 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1647327039.a90b34820213987f1be4d3e3e049ea82a498ff50.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox